local _, QUI = ...

function GetMinimapShape()
    return 'SQUARE'
end


function QUI:MiniMap( scale, strata )
	
	ExpansionLandingPageMinimapButton.Show = function() end
	Minimap.ZoomOut.Show = function() end
	Minimap.ZoomIn.Show = function() end
	
	TimeManagerFrame:Hide()
	TimeManagerClockTicker:Hide()
	GameTimeFrame:Hide()
	MinimapCluster:SetScale( scale/100 )
	MinimapCluster.InstanceDifficulty:Hide()
	MinimapCluster.Tracking.Button:Hide()
	MinimapCluster.Tracking:Hide()
	MinimapCluster.ZoneTextButton:Hide()
	MinimapCluster.BorderTop:Hide()	

	MinimapZoneText:Hide()
	Minimap.ZoomHitArea:Hide()
	MiniMapMailIcon:Hide()
	MinimapCompassTexture:Hide()
	Minimap:SetMaskTexture("Interface\\BUTTONS\\WHITE8X8")
	Minimap:SetFrameStrata( strata )
end