local _, QUI = ...

function QUI:SetViewPort( top, left, right, bottom )
			
	WorldFrame:ClearAllPoints()
	WorldFrame:SetPoint("TOP", 0, top*-1 )  -- Move top down
	WorldFrame:SetPoint("LEFT", left, 0)  --Move left in
	WorldFrame:SetPoint("RIGHT", (right)*-1, 0) -- Move right in
	WorldFrame:SetPoint("BOTTOM", 0, bottom)  -- Move bottom up
end

function QUI:SaveViewPort( bool )
		WorldFrame:SetUserPlaced( bool )
		return bool
end


function QUI:SetMovable( Frame ) 
	Frame:SetMovable(true)
	Frame:EnableMouse(true)
	Frame:RegisterForDrag("LeftButton")
	Frame:SetScript("OnDragStart", Frame.StartMoving)
	Frame:SetScript("OnDragStop", Frame.StopMovingOrSizing)
end

